
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="css/profile.css">
    <link rel="stylesheet" href="css/style.css">
    <title>User Profile</title>
</head>
<body>
  
 <!-- header section stgammings -->
 <header class="header bg-white10">
  <div class="container">
    <a href="home.html" class="logo bold white">Nexus<span class="lightpurple">Bid</span></a>

      <div class="menu">
          <form action="" class="search-form">
              <label for="search-box" class="fas fa-search"></label>
              <input type="search" id="search-box" placeholder="Search items and collections">
          </form>
          <a href="home.html#collections">Collections</a>
          <a href="home.html#featured">Featured</a>
          <a href="home.html#about">About</a>
          <a href="home.html#faq">FAQ</a>
          <i class="fa-sharp fa-solid fa-bell fa-2xl" style="color: #957bf4;"><a href="notification.html"></a></i>
          <i class="fa-solid fa-user fa-2xl" style="color: #957bf4;"><a href="userProfile.html"></a></i>
          <i class="fa-sharp fa-solid fa-right-from-bracket fa-2xl" style="color: #957bf4;"><a href="index.html"></a></i>
      </div>

      <div class="fas fa-bars" id="bar"></div>
  </div>
</header>
<!-- header section ends -->

    <div class="container-profile">
        <div class="profile">
            <img src="profile-pic.jpg" alt="Profile Picture" id="profile-pic">
            <h2 id="name">Uzaal Baniya</h2>
            <p id="email">Uzaal@example.com</p>
            <p id="bio">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
            <button id="edit-profile-btn">Edit Profile Info</button>
            <button id="update-profile-btn">Update Profile Picture</button>
            <button id="change-password-btn">Change Password</button>
        </div>
    </div>

    <!-- Edit Profile Modal -->
    <div id="edit-profile-modal" class="modal">
        <div class="modal-content">
            <span class="close">&times;</span>
            <h2>Edit Profile</h2>
            <form id="edit-profile-form">
                <label for="edit-name">Name:</label>
                <input type="text" id="edit-name">
                <label for="edit-email">Email:</label>
                <input type="email" id="edit-email">
                <label for="edit-bio">Bio:</label>
                <textarea id="edit-bio"></textarea>
                <button type="submit">Save Changes</button>
            </form>
        </div>
    </div>

    <!-- Update Profile Picture Modal -->
    <div id="update-profile-pic-modal" class="modal">
        <div class="modal-content">
            <span class="close">&times;</span>
            <h2>Update Profile Picture</h2>
            <form id="update-profile-pic-form">
                <input type="file" id="profile-pic-file">
                <button type="submit">Upload Picture</button>
            </form>
        </div>
    </div>

    <!-- Change Password Modal -->
    <div id="change-password-modal" class="modal">
        <div class="modal-content">
            <span class="close">&times;</span>
            <h2>Change Password</h2>
            <form id="change-password-form">
                <label for="new-password">New Password:</label>
                <input type="password" id="new-password">
                <label for="confirm-password">Confirm New Password:</label>
                <input type="password" id="confirm-password">
                <button type="submit">Save Changes</button>
            </form>
        </div>
    </div>

 <!-- footer section stgammings -->
 <footer class="spacer10">
  <div class="container row jc-between flexcol-s ta-center-s">
      <div class="row flexcol spacebottom3-s">
          <a href="#home" class="size2 bold white">Nexus<span class="lightpurple">Bid</span></a>
          <p class="size2 halfwhite spacetop2">The best NFT marketplace website in<br>the world and feel your
              experience
              in<br>selling or buy our work</p>
      </div>
      <div class="row flexcol spacebottom3-s">
          <a href="#about" class="bold size2 white">About</a>
          <a href="#" class="size2 halfwhite spacetop2">Product</a>
          <a href="#" class="size2 halfwhite spacetop2">Resource</a>
          <a href="#" class="size2 halfwhite spacetop2">Term & Condition</a>
          <a href="#" class="size2 halfwhite spacetop2">FAQ</a>
      </div>
      <div class="row flexcol spacebottom3-s">
          <a href="#" class="bold size2 white">Company</a>
          <a href="#" class="size2 halfwhite spacetop2">Our Team</a>
          <a href="#" class="size2 halfwhite spacetop2">Pgammingner With Us</a>
          <a href="#" class="size2 halfwhite spacetop2">Privacy & Policy</a>
          <a href="#" class="size2 halfwhite spacetop2">Features</a>
      </div>
      <div class="row flexcol spacebottom3-s">
          <h5 class="bold size2">Contact</h5>
          <a href="#" class="size2 halfwhite spacetop2">+012 3456789</a>
          <a href="#" class="size2 halfwhite spacetop2">NexusBid@gmail.com</a>
          <div class="row jc-between spacetop2 jc-evenly-s">
              <a href="#" class="fab fa-youtube size2 halfwhite spacetop2"></a>
              <a href="#" class="fab fa-discord size2 halfwhite spacetop2"></a>
              <a href="#" class="fab fa-instagram size2 halfwhite spacetop2"></a>
          </div>
      </div>
  </div>
  <p class="size2 halfwhite spacetop5 ta-center">© 2023 <span class="white bold">NexusBid</span> | All Rights
      Reserved.</p>
</footer>
<!-- footer section ends -->

    <script src="js/profile.js"></script>
</body>
</html>
